Subject: Re: bug#10784: 23.1; info doesn't follow link in Bison TOC

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Sep 2020 13:50:43 +0200

Eli Zaretskii <[email-masked]> writes:

> Yes, it definitely should.  And it already does, just not
> consistently.  E.g., if, instead of typing RET on that menu line, you
> type "m RET", you get to the right node without any error messages.

[...]

> I'm not sure this is TRT.  First, we should convert _any_ whitespace,
> not just a sequence of SPC characters, to a single SPC.  Second, I
> think it would be better to have a single function for this job and
> call it from all the places that need to produce a canonical node
> name.

The bug was still present on the trunk, so I've now done this.

> I see at least one other place (`Info-extract-menu-node-name')
> where we need to do the same, and possibly one more in
> `Info-fontify-node'.  If we do this in each place individually, we
> will have inconsistent bugs, whereas we want _consistent_ bugs ;-)

Indeed.  I had a quick skim-through of Info-fontify-node, but it's a 422
line function, and I'm not sure what bit should be changed here...

> Finally, I think the right place to do this is in Info-find-node, not
> Info-find-node-2.

Done.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no